List async image tasks

GET/v1/async/images/tasks

List the authenticated owner's newest asynchronous image tasks.

Authentication

Authorization Bearer

Query Parameters

limitinteger

Number of newest tasks to return. Values are clamped to 1-100.

Response

objectstring

Always list.

dataobject[]

Newest tasks first.

data.idstring

Task ID.

data.modelstring

Public model name.

data.statusstring

Current task status.

data.executionstring

Requested or resolved execution mode.

data.versioninteger

Task version.

data.resultobject

Image response when completed.

data.errorobject

Error details for failed or needs_attention tasks.

data.created_atstring

ISO-8601 creation time.

data.updated_atstring

ISO-8601 last update time.

data.completed_atstring

ISO-8601 completion time when completed.

Request

Shell
1curl 'https://api.token360.ai/v1/async/images/tasks?limit=20' \
2  -H "Authorization: Bearer sk-your-api-key"
Was this page helpful?
List async image tasks · Token360